# Planète Casio v5

## Présentation

La v4 se fait vieille, écrite en PHP 5 a l'origine elle a pu être mise a jour
vers PHP 7.  
Mais le site n'est plus a jour, ne répond plus aux attentes de la communauté
et on ne peut pas le modifier sans un gros travail.

Pour répondre a tout ces problèmes nous avons décidé de faire une nouvelle
version du site, la v5.  
Écrite en Python avec Flask elle doit répondre aux nouvelles attentes de la
communauté.  
La v5 est donc un logiciel libre, vous pouvez tous participer a sa création.  
Vous pouvez dès maintenant tester la version de pré-production du site
[ici](https://v5.planet-casio.com).

## Des images

La page d’accueil, un peu vide pour le moment.  
![La page d’accueil, un peu vide pour le moment](demo/index.png)  
L'index des forums.  
![L'index des forums](demo/forum.png)  
L'index des topics de discussion, aussi connu sous l'abus des essais de DS.  
![L'index des topics de discussion](demo/index_discussions.png)  
Un topic au hasard, et voila le thème sombre.  
![Un topic, et le thème sombre sombre](demo/topic_dark.png)  
La barre de menu.  
![La barre de menu](demo/barre_laterale.png)  
Un profil.  
![Le profil d'Eragon](demo/profil.png)  
Les paramètres utilisateurs.  
![Et les paramètres utilisateurs](demo/parametres.png)  
El la version mobile de la v5.  
![La v5 est même pensé pour les téléphones](demo/mobile.png)  

## Contribuer

Tu veux aider ?  
Tu peut nous aider en allant sur [la démo](https://v5.planet-casio.com/) et
en cherchant des problèmes.  
Tu peut aussi venir apporter ton avis dans les réflexions pour l'avancé du site.  
Et si tu sait coder en python, nous serons heureux de t'accueillir parmi les
développeurs de la v5.

## Quelques liens utiles

[Le wiki du développement](https://gitea.planet-casio.com/devs/PCv5/wiki/00-Home)  
[Le topic sur la v4](https://www.planet-casio.com/Fr/forums/topic13736-1-planete-casio-v5.html)  
[La RFC des notifications](https://www.planet-casio.com/Fr/forums/topic15828-1-rfc-v5-systeme-de-notifications.html)  

## Code de conduite

Respectez les règles de Planète Casio.
(cf [La charte d'utilisation du forum](https://www.planet-casio.com/Fr/forums/topic12618-1-charte-dutilisation-du-forum-cuf.html))

## Style de code

* On respecte la PEP8. Je sais c'est relou d'indenter avec des espaces, mais au moins le reste est consistant.
* La seule exception concerne la longueur des lignes. Merci d'essayer de respecter les 79 colonnes, mais dans certains cas c'est plus crade de revenir à la ligne, donc blc.
* Je conseille d'utiliser Flake8 qui permet de vérifier les erreurs de syntaxe, de style, etc. en live.
* On essaye d'écrire des commits en anglais

### Licence

Le code de Planète Casio v5 est sous licence GPLv3+. Voyez [`LICENSE`](LICENSE).
